Last Comment Bug 623872 - Cmd + L is not focusing location bar in popup windows
: Cmd + L is not focusing location bar in popup windows
Status: RESOLVED FIXED
[good first bug]
: testcase
Product: Firefox
Classification: Client Software
Component: Keyboard Navigation (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: Firefox 10
Assigned To: Terry Long
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-07 03:53 PST by Anthony Ricaud (:rik)
Modified: 2011-10-31 12:19 PDT (History)
5 users (show)
emorley: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
bug fix with modified test case (2.36 KB, patch)
2011-10-27 20:19 PDT, Terry Long
dao+bmo: review+
Details | Diff | Splinter Review

Description Anthony Ricaud (:rik) 2011-01-07 03:53:31 PST
Steps to reproduce:
1) Open any popup window
2) Hit Cmd + L

Expected results:
Location bar is focused

Actual results:
Nothing
Comment 1 Jesse Ruderman 2011-04-17 17:21:15 PDT
javascript:window.open("data:text/html,1", null, "toolbar=no"); void 0

Not being able to Cmd+L, Cmd+C broke my brain.
Comment 2 Terry Long 2011-10-27 20:19:12 PDT
Created attachment 570169 [details] [diff] [review]
bug fix with modified test case

I have attached a patch to fix the described bug.
Fixing the bug caused a regression in a functional test, but assuming this bug is correct, then that functional test case is inaccurate. Thus, I also made a change to the test (included in the patch).
Comment 3 Dão Gottwald [:dao] 2011-10-28 00:37:45 PDT
Comment on attachment 570169 [details] [diff] [review]
bug fix with modified test case

Thanks!
Comment 4 Ed Morley [:emorley] 2011-10-28 03:36:40 PDT
Thanks for the patch!

In my queue, which is going via try then onto inbound:
https://tbpl.mozilla.org/?tree=Try&rev=d3d2522ed095

I fixed the author/commit message locally this time, so nothing further needs to be done here - but for future patches please can you take a look at http://blog.bonardo.net/2010/06/22/so-youre-about-to-use-checkin-needed

Thanks :-)
Comment 5 Ed Morley [:emorley] 2011-10-28 07:11:32 PDT
Terry, your patch has now landed on mozilla-inbound, which gets merged roughly daily to mozilla-central. Once that merge happens, the mozilla-central changeset link will be posted here and the fix will be visible in the next day's nightly :-)

https://hg.mozilla.org/integration/mozilla-inbound/rev/b7f789c2b7c7
Comment 6 Matt Brubeck (:mbrubeck) 2011-10-28 12:16:44 PDT
https://hg.mozilla.org/mozilla-central/rev/b7f789c2b7c7
Comment 7 Ed Morley [:emorley] 2011-10-29 02:03:19 PDT
Terry, congratulations on your first patch in the tree! Hope to see you on IRC in #developers soon (see https://wiki.mozilla.org/IRC#Getting_Started for details). 

If you'd like to fix another bug (it would be awesome if you did!) but need some inspiration, pop on & say hi - and we'll find something for you :-)

Note You need to log in before you can comment on or make changes to this bug.